%global enginesdir %{_libdir}/engines-1.1

Name:           openssl-ibmpkcs11
Version:        1.0.1
Release:        1%{?dist}
Summary:        IBM OpenSSL PKCS#11 engine

License:        OpenSSL
URL:            https://github.com/opencryptoki/openssl-ibmpkcs11
Source0:        https://github.com/opencryptoki/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
# https://github.com/opencryptoki/openssl-ibmpkcs11/commit/71ab5ebe2fe97487e2cc3d0b1f72fbc115fe311b
# https://github.com/opencryptoki/openssl-ibmpkcs11/commit/578cd8567bd102b25ecf04db105e16f0a177d1f3
Patch0:         %{name}-1.0.1-link.patch

BuildRequires:  automake autoconf libtool
BuildRequires:  openssl-devel
Requires:       opencryptoki-libs


%description
This package contains a shared object OpenSSL dynamic engine for the use
with a PKCS#11 implementation such as openCryptoki.

%prep
%autosetup -p1

./bootstrap.sh


%build
%configure --libdir=%{enginesdir}
%make_build


%install
%make_install
mv openssl.cnf.sample openssl.cnf.sample.%{_arch}
rm -f $RPM_BUILD_ROOT%{enginesdir}/*.la


%files
%license LICENSE
%doc README openssl.cnf.sample.%{_arch}
%{enginesdir}/ibmpkcs11.*


%changelog
* Fri Jan 19 2018 Dan Horák <dan@danny.cz> - 1.0.1-1
- initial Fedora version
